Bug 117805 - [PATCH] graphics/autotrace: make dependencies on ming and pstoedit OPTIONS.
Summary: [PATCH] graphics/autotrace: make dependencies on ming and pstoedit OPTIONS.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-04 09:00 UTC by rsmith
Modified: 2008-01-26 14:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.15 KB, patch)
2007-11-04 09:00 UTC, rsmith
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rsmith 2007-11-04 09:00:08 UTC
	Autotrace depends on ming and pstoedit, but it works without them
	(with less available output formats, of course).

Fix: The following patch makes the dependancies on ming and pstoedit
OPTIONS. Portlint says: 'looks fine'.
---------------- graphics/autotrace/Makefile patch ----------------
How-To-Repeat: 	Build autotrace, see it pull in ming and pstoedit.
Comment 1 Edwin Groothuis freebsd_committer 2007-11-04 09:00:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

itetcu@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2008-01-24 08:10:34 UTC
Responsible Changed
From-To: itetcu->freebsd-ports-bugs

With bugmeister hat on, reset itetcu's ownership of this one, since he has 
been inactive for some time.
Comment 3 Thomas Abthorpe freebsd_committer 2008-01-25 19:35:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 4 dfilter service freebsd_committer 2008-01-26 14:10:24 UTC
tabthorpe    2008-01-26 14:10:19 UTC

  FreeBSD ports repository

  Modified files:
    graphics/autotrace   Makefile 
  Log:
  - OPTIONify dependencies
  - While I am here, use SF macro
  
  PR:             ports/117805
  Submitted by:   Roland Smith <rsmith xs4all.nl>
  Reviewed by:    miwi
  Sponsored by:   FreeBSD Bug-a-thon #3
  
  Revision  Changes    Path
  1.37      +17 -6     ports/graphics/autotrace/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Thomas Abthorpe freebsd_committer 2008-01-26 14:11:09 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!